#!/bin/bash

if [[ $EUID -ne 0 ]]; then
   echo "This script must be run with root privileges" 1>&2
   exit 1
fi

type yo > /dev/null 2>&1 || {
   echo "Installing yo"
   npm install --global yo
   if [ $? != 0 ]; then
        echo Error: yo install failed. Check output for details
        exit 1
    fi
}

type bower > /dev/null 2>&1 || {
   echo "Installing bower"
   npm install --global bower
   if [ $? != 0 ]; then
        echo Error: bower install failed. Check output for details
        exit 1
    fi
}

type grunt > /dev/null 2>&1 || {
    echo "Installing grunt"
    npm install --global grunt-cli
    if [ $? != 0 ]; then
        echo Error: grunt-cli install failed. Check output for details
        exit 1
    fi
}
echo Download yeoman azuresf-guestexec generator dependencies and create npm link
cd /opt/microsoft/sdk/servicefabric/common/yeoman-azuresfguest/generator-azuresfguest && npm link 
if [ $? != 0 ]; then
    echo Error: npm link failed. Check output for details
    exit 1
fi
cd -
echo Download yeoman azuresf-container generator dependencies and create npm link
cd /opt/microsoft/sdk/servicefabric/common/yeoman-azuresfcontainer/generator-azuresfcontainer && npm link 
if [ $? != 0 ]; then
    echo Error: npm link failed. Check output for details
    exit 1
fi

